<!DOCTYPE html>
<html>
<head>
  <meta charset="UTF-8">
  <title>Forms Task 1</title>
  </head>
<body>
	<button id="btn">Поменять Цвет</button>
	<script>
  	const BTN = document.getElementById("btn");

  	 const getRandomIntInclusive = (min, max) => {
      min = Math.ceil(min);
      max = Math.floor(max);
      return Math.floor(Math.random() * (max - min + 1)) + min;
    }

	BTN.onclick = function(){

  	var r = getRandomIntInclusive(0,255);
  	var g = getRandomIntInclusive(0,255);
  	var b = getRandomIntInclusive(0,255);

  	r = r.toString( 16 );
  	g = g.toString( 16 );
  	b = b.toString( 16 );

  	let color = '#'+r+g+b;

  	localStorage.setItem("color", color);
  	document.body.style.backgroundColor = color;
	}
	//localStorage.removeItem("color");
	document.body.style.backgroundColor = localStorage.getItem("color");
	
  </script>
</body>
</html>